/*activity solution by ate tin*/

/*Google Fonts*/
body{
	font-family: 'Open Sans', sans-serif;
}

/*CSS Reset*/
*{
	/*changes the amount of space between "border" and it's surrounding element*/
	margin: 0;
	/*changes the amount of space between "border" and "content" of an element*/
	padding: 0;
	/*border and padding is included in the total length of an element*/
	box-sizing: border-box;
}

nav {
	/*shorthand property
		padding value is added to all sides

		padding-top: 0.8 rem;
		padding-bottom: 0.8 rem;
		padding-left: 0.8 rem;
		padding-right: 0.8 rem;

		padding: 0.8rem, 0.8rem, 0.8rem, 0.8rem;

		top and bottom
		padding: 0.8rem, 0.8rem, 0rem;

		left and right
		padding: 0rem, 0.8rem, 0.8rem;
	
	*/
	padding: 0.8rem;

	/*
		2 rem (root epheremal unit) === 32pixels
		creates a space between nav and the intro section
	*/
	margin-bottom: 2rem;

	border-bottom: 1px solid gray;


}

nav ul {
	/*
		removing bullet points
	*/
	list-style-type: none;
}

nav .nav, nav .nav-logo {
	/*creates space between the ul and the nav element*/
	margin: 0.5rem;

	/*changes elements to inline elements*/
	display: inline;

	/*vertical-align: middle;*/
}

/*intro section*/
#intro {
	/*
		creates a space between the contents of the intro section and its border

		shorthand- top, left and right, bottom
		padding: 2rem, 10%, 3rem;

	*/
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;

	text-align: center;

}

.header {
	/*best used when horizontally aligning text instead of using margin and padding*/
	text-align: center;
}

#intro h2, #intro p {
	/*creates a space between the contents of the intro section*/
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/*thickness of the text*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	/*creates a space between the button text and the border*/
	padding: 1rem;
}

#succeed-info {
	/*exact same properties as the intro section but can have its own CSS rule for flexibilty*/
	padding: 2rem 10% 3rem;
	/*text-align: center;*/
}

#succeed-info h2 {
	/*creates a space between the header and the card section*/
	margin-bottom: 1rem;
}

#succeed-info h3 {
	text-align: center;
	/*creates a space between the h3 tags and the paragraph tags*/
	margin-bottom: 1rem;
}

#succeed-info .card {
	/*allows the cards to appear beside each other*/
	display: inline-block;

	/*
		aligns elements with the tallest element in line
		used with the inline-block value
	*/
	vertical-align: top;

	/*allow cards to have equal height that adjust with the content*/
	min-height: 175px;

	/*measurement is based on equally dividing the parent's container width*/
	width: 30%;
	/*create a horizontal spacing between cards*/
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

footer {
	/*creates a space between the span tags and the footer border*/
	padding: 0.7rem;
	text-align: center;
}

footer span {
	/*shorthand- top bottom, left right
		margin: 0 0.5rem;
	*/
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

/*
	
	A C T I V I T Y S O L U T I O N


*/

#pre-footer {
	padding: 1rem;
	background-color: #002540;
	color: white;
}

#pre-footer > div {
	display: inline-block;
	width: 20%;
	vertical-align: top;
}

#pre-footer > div > * {
	margin: 0.3rem;
}

